Subject: bug#7700: 24.0.50; C-y binding withing Isearch mode

From: Alan Mackenzie <[email-masked]>
Date: Thu, 23 Dec 2010 17:14:34 +0000

Hi, Stefan,

On Thu, Dec 23, 2010 at 10:30:50AM -0500, Stefan Monnier wrote:
> > Personally, I find this behavior inconsistent/annoying: I would expect that
> > C-y within Isearch add text X to the search text, where X is the text that
> > would be yanked in normal editing.

> FWIW, I'd agree.  I've always found the C-y binding in isearch "useless"
> and counter-intuitive.  I'd much rather make C-y and M-y behave like
> they do in the minibuffer.

I use C-y ("grab to next end of line") quite a bit.  But it annoys me
that it's bound to C-y.  I'd prefer C-y to do what M-y currently does,
but please don't unbind "grab to end of line" completely.  How about
swapping C-y and M-y, like the OP suggested?

>         Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).